Summary: Library for creating PostScript
Name: pslib
Version: 0.4.3
Release: 2.1
License: LGPL
Group: Development/Libraries
Source: http://prdownloads.sourceforge.net/pslib/pslib-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-build 
URL: http://pslib.sourceforge.net/
BuildRequires: intltool libpng-devel libjpeg-devel gcc-c++ bison
BuildRequires: giflib-devel libtiff-devel gettext-devel glib2-devel
#BuildRequires: docbook2X docbook-utils
Patch0: pslib-configure.patch 

%description
This library allows to create PostScript files.


%package -n libps0
Summary: Libraries, includes, etc. to develop PostScript applications
Group: Development/Libraries
Provides: %{name} = %{version}
Obsoletes : pslib =< 0.2.7

%description -n libps0

This library allows to create PostScript files.


%package -n libps-devel
Summary: Libraries, includes, etc. to develop PostScript applications
Group: Development/Libraries
Requires: libps0 = %{version} glibc-devel
Provides: pslib-devel = %{version}

%description -n libps-devel

Libraries, include files, etc you can use to develop PostScript applications.

%prep

%setup -q
%patch -p1

%build

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS
export LDFLAGS="-Wl,--as-needed"

libtoolize --force
aclocal --force
autoheader --force
automake --force --copy --add-missing
intltoolize --copy --force
autoconf --force

%configure --with-png=%{_usr} --with-jpeg=%{_usr} \
			--with-gif=%{_usr} --with-tiff=%{_usr} \
			--without-debug --with-libdir=%{_lib} \
			--disable-static --disable-rpath --with-pic 

%{__make} %{?jobs:-j%jobs}

%install

%{__make} DESTDIR=%{buildroot} install

%find_lang %{name}

%clean

%{__rm} -rf %{buildroot}

%post -n libps0 -p /sbin/ldconfig

%postun -n libps0 -p /sbin/ldconfig

%files -n libps0 -f %{name}.lang
%defattr(-, root, root)
%{_libdir}/lib*.so.0*

%files -n libps-devel
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%dir %{_datadir}/pslib
%{_datadir}/pslib/*
#%doc %{_mandir}/man3/*.3*
%exclude %{_libdir}/*.la

%changelog
* Fri Jan  7 2011 cs@linux-administrator.com
- update to version 0.4.3
* Wed Nov 28 2007 crrodriguez@suse.de
- version 0.4.1
